Bug 1569873 - josm-13576 is available
Summary: josm-13576 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: josm
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Jelen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-20 07:50 UTC by Upstream Release Monitoring
Modified: 2018-05-15 20:04 UTC (History)
2 users (show)

Fixed In Version: josm-0-0.86.13576svn.fc28
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-15 20:04:46 UTC
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2018-04-20 07:50:28 UTC
Latest upstream release: 13576
Current version/release in rawhide: 0-0.85.11427svn.fc28
URL: https://josm.openstreetmap.de/wiki/Changelog

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1470/

Comment 1 Jakub Jelen 2018-04-20 14:03:01 UTC
So far the release is available in the following copr repository (release 89 is with bundled apache-commons-*):

https://copr.fedorainfracloud.org/coprs/jjelen/josm-latest/

Reading through the bundling guidelines [1], it looks like it is already allowed to bundle some libraries, if there is no way around so I will probably make use of this to finally update JOSM in Fedora.

I submitted a PR to apache-commons-jcs updating to latest version [2] and I built it together with the new geronimo-annotation (thanks msimacek for updating it in F28 [3]) so this copr can provide up to date josm with only tweaked gnu-getopt bundled at this moment (release 90 in the above copr repository). If everything will go fine and we will update the dependency in F28, we can expect JOSM land there too.

Thanks for patience everyone.

Also I can make use of a review, if that what I just did to make it working in the spec file and with the patches makes sense:

http://copr-dist-git.fedorainfracloud.org/cgit/jjelen/josm-latest/josm.git/commit/?id=18c27c3

[1] https://fedoraproject.org/wiki/Packaging:Guidelines#Bundling_and_Duplication_of_system_libraries
[2] https://src.fedoraproject.org/rpms/apache-commons-jcs/pull-request/1
[3] https://src.fedoraproject.org/rpms/geronimo-annotation/c/655709a

Comment 2 Fedora Update System 2018-05-02 13:18:28 UTC
josm-0-0.86.13576svn.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c1e4817e2a

Comment 3 Fedora Update System 2018-05-03 20:22:02 UTC
josm-0-0.86.13576svn.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c1e4817e2a

Comment 4 Fedora Update System 2018-05-15 20:04:46 UTC
josm-0-0.86.13576svn.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.